This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

A cookie will be stored in your browser regardless of choice to prevent you being asked this question again. You will be able to change your cookie settings at any time using the link in the footer.

Happy New Year! Open Beta Ready!
#4
RE: Happy New Year! Open Beta Ready!
(02-18-2022, 02:10 AM)Ron-e Wrote: http://forums.sentora.org/showthread.php...2#pid33602

Thanks for linking! did not see that thread. Is php 8 supported?
It mentioned:


Quote:Centos -
8 - PHP 7.2

Ubuntu -
18.04 - PHP 7.2
20.04 - PHP 7.4
The panel is brand new, not even officially released yet, and we are talking about centos 8
"CentOS Linux 8 will reach End Of Life (EOL) on December 31st, 2021."

And for ubuntu, well 7.2 is EOLed and 7.4 will be in 9 months... I will download and give it a try with PHP 8 to see if it works,* but imho if it does not support php 8, then it is better to wait and release it when it supports php 8.

I have downloaded Hetsia/vestaCP several times on my tests servers, considered moving on, and leaving Sentora, but I can't bring myself to do it, I just love Sentora.  If it will take another 5 years to support php 8 (by the time it is dead), it will be sad...

Thanks to all contributors for all for all the hard work

* edit: no it does not work if you update to php 8. First problem you can no longer add new websites.
if you try to run
Code:
php /etc/zpanel/panel/bin/daemon.php
you get  
Quote:"PHP Fatal error:  Declaration of db_driver::query($query) must be compatible with PDO::query(string $query, ?int $fetchMode = null, mixed ...$fetchModeArgs) in /etc/sentora/panel/dryden/db/driver.class.php on line 123"
in php7 this used to raise a warning, in 8 it became a fatal warning. I rolled back my php version to 7 and it works again now.
Reply
Thanks given by: TeccHost


Messages In This Thread
Happy New Year! Open Beta Ready! - by TGates - 01-01-2022, 09:41 AM
RE: Happy New Year! Open Beta Ready! - by Ron-e - 02-18-2022, 02:10 AM
RE: Happy New Year! Open Beta Ready! - by mohamedh - 02-22-2022, 10:04 AM
RE: Happy New Year! Open Beta Ready! - by johnk42 - 06-20-2022, 04:10 AM

Possibly Related Threads…
Thread Author Replies Views Last Post
Happy New Year! TGates 0 1 ,072 01-01-2024, 09:07 AM
Last Post: TGates
v2.0.0 Closed Beta testing now ready! TGates 9 28 ,980 10-22-2021, 06:46 AM
Last Post: MickeMM
Upgrading ZPanel 10.1.* to Sentora - Alpha/Beta kandrews 57 274 ,461 04-17-2020, 12:46 AM
Last Post: emmarudd222@gmail.com

Forum Jump:


Users browsing this thread: 1 Guest(s)